package com.kxs.store.biz.constant.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 机具申请相关枚举
 *
 * @author 没秃顶的码农
 * @date 2024-01-08
 */
@Getter
@RequiredArgsConstructor
public enum MachineOrderStatusEnum {
    /**
     * 订单状态
     */
    UNDER_REVIEW(0, "待审核"),
    APPLY_SUCCESSFUL(1, "申请成功"),
    REJECTED(2, "已驳回");

    //状态码
    private final Integer type;
    //状态码码描述
    private final String description;
}
